Foxit PDF SDK

Static Public Member Functions | List of all members
foxit.common.Codec Class Reference
Inheritance diagram for foxit.common.Codec:

## Static Public Member Functions
static string | Base64Decode (global::System.IntPtr encoded_data_buffer, uint length)
| Decode the encoded data buffer by Base64 algorithm. More...
static string | Base64Encode (global::System.IntPtr data_buffer, uint length)
| Encode the source data buffer by Base64 algorithm. More...
static string | FlateCompress (global::System.IntPtr data_buffer, uint length)
| Compress the source data buffer by DEFLATE algorithm. More...
static string | FlateDecompress (global::System.IntPtr compressed_data_buffer, uint length)
| Decompress the compressed data buffer by DEFLATE algorithm. More...

## Detailed Description

This class provides utility functions such as encoding or compression. Foxit PDF SDK library should has been initialized successfully by function Library.Initialize before calling any function of this class.

## Member Function Documentation

## ◆ Base64Decode()

static string foxit.common.Codec.Base64Decode | ( | global::System.IntPtr | encoded_data_buffer,
|  | uint | length
| ) |  |
| inline static

Decode the encoded data buffer by Base64 algorithm.

Parameters

  [in] | encoded_data_buffer | The encoded source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decoded data.

## ◆ Base64Encode()

static string foxit.common.Codec.Base64Encode | ( | global::System.IntPtr | data_buffer,
|  | uint | length
| ) |  |
| inline static

Encode the source data buffer by Base64 algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The encoded data.

## ◆ FlateCompress()

static string foxit.common.Codec.FlateCompress | ( | global::System.IntPtr | data_buffer,
|  | uint | length
| ) |  |
| inline static

Compress the source data buffer by DEFLATE algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The compressed data.

## ◆ FlateDecompress()

static string foxit.common.Codec.FlateDecompress | ( | global::System.IntPtr | compressed_data_buffer,
|  | uint | length
| ) |  |
| inline static

Decompress the compressed data buffer by DEFLATE algorithm.

Parameters

  [in] | compressed_data_buffer | The compressed source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decompressed data.